# sb::Admin::Help
# == Author(s) : Takuya Otani <takuya.otani@gmail.com> ==
# == Copyright (C) 2005 SimpleBoxes/SerendipityNZ Ltd. ==

# ======================================
package sb::Admin::Help;
use strict;
use sb::App::Admin ();
use base qw( sb::App::Admin );
use vars qw( $VERSION );
$VERSION = '0.02';
# 0.02 [2007/09/09] ported from Serene Bach 2.*
# 0.01 [2005/07/11] changed config variable "srv_cgi" to "conf_srv_cgi"
# 0.00 [2005/04/09] generate
# --------------------------------------
# // public functions
sub callback
{
	my $self = shift;
	my $query = $self->cgi->value('help');
	my $help = ($self->conf->value('srv_doc') ne '') 
		? $self->conf->value('srv_doc') . $self->lang->language . '.html'
		: $self->conf->value('conf_srv_cgi') . 'doc/' . $self->lang->language . '.html';
	$query =~ s/^_//;
	$self->cgi->head('location' => ($query ne '') ? $help . '#' . $query : $help);
	return;
}
1;
__END__
